%define lib_major   0
%define lib_name	%mklibname gnomeprintui 2-2 %{lib_major}

%define req_libgnomeprint_version 2.10.2

Summary: GNOME print library
Name: libgnomeprintui
Version: 2.10.2
Release: 3mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (gb) 2.10.2-2mdk libtool fixes, don't bother with aclocal machinery
Patch0: libgnomeprintui-2.10.2-libtool.patch.bz2
License: LGPL
Group: System/Libraries
Url: http://www.levien.com/gnome/print-arch.html
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeprint2-2-devel >= %{req_libgnomeprint_version}
BuildRequires: libgnomecanvas2-devel >= 1.117.0
BuildRequires: libglade2.0-devel
BuildRequires: gtk+2-devel >= 2.4.0
BuildRequires: gnome-icon-theme >= 1.1.92
BuildRequires: autoconf2.5 >= 2.54
Requires: libgnomeprint >= %{req_libgnomeprint_version}
Requires: gnome-icon-theme >= 1.1.92


%description
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{lib_name}
Summary:	Library for GNOME print support
Group:		%{group}

%description -n %{lib_name}
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME print
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}2-2-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	libgnomeprint2-2-devel >= %{req_libgnomeprint_version}
Requires:	libgnomecanvas2-devel >= 1.117.0

%description -n %{lib_name}-devel
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html


%prep
%setup -q
%patch0 -p1 -b .libtool
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name} -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog 
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-3mdk
- rebuild to remove glitz dep

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.10.2-2mdk
- libtool fixes

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)
- remove patch0 (merged upstream)

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- requires new libgnomeprint
- New release 2.8.2

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- update patch 0
- New release 2.8.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0
- Patch0 (Fedora): Asynchronously update PPD list

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Thu Apr 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Apr 06 2004  <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- New release 2.6.0 (with Gtz help)

* Thu Nov 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Fri Nov 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1
- Remove patch 0 (merged upstream)

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Oct 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-4mdk
- Patch0 (CVS): really use give filename when printing to file (Mdk bug 6090)

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.1-3mdk
- fix deps, broken maintainer still too lazy to look down in the
  specfile for further deps fixes to make

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk
- Fix BuildRequires

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk
- Release 2.3.1

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1.3-1mdk
- Release 2.2.1.3

* Tue Jun  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1.2-2mdk
- Rebuild to get new deps

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1.2-1mdk
- Release 2.2.1.2

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1.1-1mdk
- Release 2.2.1.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-1mdk
- Release 2.1.8

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.113.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Release 1.113.0

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.111.0-1mdk
- First Mdk package


